syntax = "proto3";
option go_package = ".;pb";

message CacheUser {
  string uid = 1;       //@go_tags(`bson:"uid"`) 用户id
  string SessionId = 2; //@go_tags(`bson:"sessionId"`) 会话id
  string ServiceTag = 3; //@go_tags(`bson:"serviceTag"`) 所在服务集群 区服id
  string GatewayServiceId =
      4;         //@go_tags(`bson:"gatewayServiceId"`) 所在网关服务id
  string ip = 5; //@go_tags(`bson:"ip"`) 远程ip
}

message DBUser {
  string id = 1;       //@go_tags(`bson:"_id"`) ID
  string uid = 2;      //@go_tags(`bson:"uid"`) 用户ID
  string uuid = 3;     //@go_tags(`bson:"uuid"`) 玩家唯一uuid
  string binduid = 4;  //@go_tags(`bson:"binduid"`) 玩家账号
  string name = 5;     //@go_tags(`bson:"name"`) 玩家名
  string sid = 6;      //@go_tags(`bson:"sid"`) 区服id
  string createip = 7; //@go_tags(`bson:"createip"`) 创建账号时的ip
  string lastloginip = 8; //@go_tags(`bson:"lastloginip"`) 最后一次登录时的ip
  int64 ctime = 9;        //@go_tags(`bson:"ctime"`) 玩家创号时间戳
  int64 logintime = 10; //@go_tags(`bson:"logintime"`) 最后一次登录时间
  int32 gender = 11;    //@go_tags(`bson:"gender"`) 性别 0男1女
  string avatar = 12;   //@go_tags(`bson:"avatar"`) 头像
  int64 gold = 13;      //@go_tags(`bson:"gold"`) 金币
  int64 exp = 14;       //@go_tags(`bson:"exp"`) 经验
  int64 vipexp = 15;    //@go_tags(`bson:"vipexp"`) vip经验
  int64 starcoin = 16;  //@go_tags(`bson:"starcoin"`) 星座图币
  bool created = 17;    //@go_tags(`bson:"created"`) 创角
  int32 lv = 18;        //@go_tags(`bson:"lv"`) 等级
  int32 vip = 19;       //@go_tags(`bson:"vip"`)  vip等级
  int64 diamond = 20;   //@go_tags(`bson:"diamond"`)  钻石
  int32 title = 21;     //@go_tags(`bson:"title"`) 头衔
  int64 offlinetime = 22; //@go_tags(`bson:"offlinetime"`) 离线时间
  int32 figure = 23;      //@go_tags(`bson:"figure"`) 主角形象
  string bgp = 24;        //@go_tags(`bson:"bgp"`) 背景
  int32 ps = 25;          //@go_tags(`bson:"ps"`) 体力
  int64 lastRecoverPsSec =
      26; //@go_tags(`bson:"lastRecoverPsSec"`)  上次体会恢复时间
  int32 moongold = 27; //@go_tags(`bson:"moongold"`) 纯净月髓
  int32 talent1 = 28; //@go_tags(`bson:"talent1"`) 阵营1天赋点
  int32 talent2 = 29; //@go_tags(`bson:"talent2"`) 阵营2天赋点
  int32 talent3 = 30; //@go_tags(`bson:"talent3"`) 阵营3天赋点
  int32 talent4 = 31; //@go_tags(`bson:"talent4"`) 阵营4天赋点
  int32 merchantmoney=32; //@go_tags(`bson:"merchantmoney"`) 虚拟币（商队)
  repeated string perlist = 33;  //@go_tags(`bson:"perlist"`) 皮肤,动作,背景
  string defper1 = 34;    //@go_tags(`bson:"defper1"`) 默认皮肤
  string defper2 = 35;    //@go_tags(`bson:"defper2"`) 默认动作
  string defper3 = 36;    //@go_tags(`bson:"defper3"`) 默认背景
}

message DBUserSetting {
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  uint32 huazhi = 3; //@go_tags(`bson:"huazhi"`) 画质 0极致 1精致 2正常 3流畅
  uint32 kangjuchi = 4; //@go_tags(`bson:"kangjuchi"`) 抗锯齿 0 1 2 3
  bool gaoguang = 5;    //@go_tags(`bson:"gaoguang"`) 高光
  bool wuli = 6;        //@go_tags(`bson:"wuli"`) 物理模拟
  bool music = 7;       //@go_tags(`bson:"music"`) 音乐
  bool effect = 8;      //@go_tags(`bson:"effect"`) 音效

  bool guaji = 9;      //@go_tags(`bson:"guaji"`) 挂机
  bool fuben = 10;     //@go_tags(`bson:"fuben"`) 特殊副本重置
  bool tansuo = 11;    //@go_tags(`bson:"tansuo"`) 蜂窝探索
  bool huodong = 12;   //@go_tags(`bson:"huodong"`) 特殊活动开启
  bool xuanshang = 13; //@go_tags(`bson:"wanfa"`)悬赏玩法重置
  bool saiji = 14;     //@go_tags(`bson:"wanfa"`)格斗场玩法赛季重置
}

// 签到功能
message DBSign {
  string id = 1;       //@go_tags(`bson:"_id"`) ID
  string uid = 2;      //@go_tags(`bson:"uid"`) 用户ID
  int64 signTime = 3;  //@go_tags(`bson:"signTime"`) 玩家签到时间
  int32 signCount = 4; //@go_tags(`bson:"signCount"`) 玩家累计签到次数
  int32 group = 5;     //记录循环签到值
  int32 day = 6;       // 今天是这个月第几天
  repeated int32 puzzle= 7; //@go_tags(`bson:"puzzle"`) 拼图游戏完成情况 // 0 没玩游戏 1 玩了游戏
  int32 tips = 8; // 提示次数
}